# Manual do usuário do KDE

Lauri
Watts
&Lauri.Watts.mail;
25 de fevereiro de 2005
K Desktop Environment
&kappname;
1

# `ark`

Uma ferramenta de arquivamento do &kde;

    ark  --extract --extract-to --add --add-to --guess-name  pasta arquivos arquivo_compactado Opções genéricas do KDE Opções genéricas do Qt

## Descrição

O &kappname; é um programa para gerenciar vários formatos de arquivos compactados no ambiente &kde;. Os arquivos compactados podem ser visualizados, extraídos, criados e modificados com o &kappname;. O programa pode manejar vários formatos como tar, gzip, bzip2, zip, rar e lha (se os programas em linha de comando apropriados estão instalados). O &kappname; pode trabalhar em conjunto com o &konqueror; no ambiente &kde; para manejar os arquivos compactados, se você instalar o plug-in de integração do &konqueror; disponível no pacote kdeaddons.

## Opções

`--extract`

  Abre o diálogo de extração, fecha quando termina

`--extract-to pasta arquivo_compactado`

  Extrair arquivo compactado para pasta. Sair quando terminar. A pasta será criada se não existir.

`--add arquivos`

  Perguntar pelo nome do arquivo compactado a adicionar os arquivos. Sair quando terminar.

`--add-to arquivos arquivo_compactado`

  Adicionar arquivos para o arquivo compactado. Sair quando terminar. O arquivo compactado será criado se não existir.

`--guess-name pasta arquivo_compactado`

  Usado com `--extract-to`. Quando especificado, o arquivo compactado será extraído para uma subpasta da pasta, cujo nome será o nome do arquivo compactado sem a extensão do mesmo.

## Ambiente

$`PATH`

  Os programas em linha de comando para trabalhar com os arquivos compactados que você deseja manejar no &kappname; devem estar disponível no seu $`PATH`.

## Exemplos

``ark` `--extract-to --guess-name` `.` `Um-arquivo_compactado.tar.bz2``

  Extrairá `Um-arquivo_compactado.tar.bz2` numa pasta chamada `Um-arquivo_compactado` no diretório atual.

``ark` `--add-to` `*.jpg` `figuras.tar.bz2``

  Adicionar todos os arquivos terminando em *.jpg para o arquivo compactado chamado `figuras.tar.bz2`, criando-o se o mesmo não existir.

## Veja também

tar(1), gzip(1), bzip2(1), zip(1), rar(1), lha(1)

A documentação mais detalhada para o usuário está disponível em help:/ark (tanto poderá inserir esta URL no &konqueror;, como executar o comando ``khelpcenter` `help:/ark``).

## Autores

O &ark; é mantido por Henrique Pinto stampede@coltec.ufmg.br

Esta página de manual foi escrita por &Lauri.Watts; &Lauri.Watts.mail; para o &kde; 3.4.